public class TestLambda {
	
	
	Foo foo = parameter -> parameter + " from lambda";
	
	public void function() {
		Foo foo = parameter -> parameter + " from lambda";
	}
	
	//String message -> System.out.println(message);
	
	//(String key, String value) -> System.out.println("Key: %s, value: %s%n", key, value);
	
	/*ArrayList<Integer> mayores = (ArrayList<Integer>) Arrays
	.asList(1, 2, 3, 4, 5, 6, 7, 8, 9, 10)
	// se crea el stream
	.stream()
	//filtro para obtener los números mayores a 5 y dentro se utiliza la expresión lambda (x -> x > 5)
	.filter(x -> x > 5)
	//pone los elementos que se filtró dentro de una nueva lista, dentro se utiliza una expresión lambda
	.collect(
	Collectors.toCollection(() -> new ArrayList<Integer>()));
	
	mayores.forEach(e -> System.out.println(e));*/
}